.\" Man page generated from reStructuredText.
.
.TH "CWB_PETOOLS" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_petools \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_petools command.
.nf

\fBUsage\fP

.in +2
This command implements a set of tools used to extract infos about the preferred runs
from pe git directory (LVK: \fI\%https://git.ligo.org/pe/O3/O3_summary\fP) .


.in -2
\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_petools\fP (without arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_petools config_file command opath pe_git_dir\fP
dump pe infos about the preferred runs contained into pe_git_dir into opath.
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBFurher information\fP

.in +2
The following options can be passed to cwb_petools:

.in -2
.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
config_file = \(aqevent list file\(aq

                           GW\-NAME         GW\-TIME         SEARCH  CALIB   PE\-RUN  TAG
              file format: S190408an       1238782700.29   BBH     C00     NONE    dev1

command =    \(aqdump_update_git_pe\(aq       : Generates a script used to update the local git repository
                                          (remote: https://git.ligo.org/pe/O3)" << endl;
             \(aqdump_peparms\(aq             : Dump to file the PE parameters of the preferred posterior samples
             \(aqdump_pe_xml_files\(aq        : Generates XML files for map, maxl & offsource samples
             \(aqdump_pe_mkdirs\(aq           : Dump to file the instructions used to create the working directories
             \(aqdump_cwb_pereport_config\(aq : Write the config used as imput for Makefile.cwb_pereport

opath =      \(aqfile/dir\(aq                 : if the dump output file or
                                          (for dump_pe_xml_files command) the output directory

pe_git_dir = \(aqpe  git directory\(aq        : is optional, the default value is = "/home/waveburst/git/pe"
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_petools config.lst dump_update_git_pe          update_git_pe.txt\fP
.IP \(bu 2
\fBcwb_petools config.lst dump_peparms                peparms.txt\fP
.IP \(bu 2
\fBcwb_petools config.lst dump_pe_xml_files           output_pe_dir\fP
.IP \(bu 2
\fBcwb_petools config.lst dump_pe_mkdirs              README.pe_mkdir\fP
.IP \(bu 2
\fBcwb_petools config.lst dump_cwb_pereport_config    Makefile.cwb_pereport_config\fP
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
